> ## Documentation Index
> Fetch the complete documentation index at: https://docs.commvoice.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1smscampaigns 1



## OpenAPI

````yaml https://api.comm.com/docs/api.json get /v1/sms/campaigns
openapi: 3.1.0
info:
  title: Commvoice API
  version: '1'
servers:
  - url: https://api.comm.com/api
    description: Live
security:
  - http: []
paths:
  /v1/sms/campaigns:
    get:
      tags:
        - SmsCampaigns
      operationId: sms.campaigns.index
      parameters:
        - name: page
          in: query
          schema:
            type:
              - integer
              - 'null'
        - name: per_page
          in: query
          schema:
            type:
              - integer
              - 'null'
        - name: search
          in: query
          schema:
            type: string
        - name: type
          in: query
          schema:
            type: string
            enum:
              - planned
              - default
        - name: search_ids
          in: query
          schema:
            type: array
            items:
              type: string
              format: uuid
        - name: with[]
          in: query
          schema:
            type: array
            items:
              type: string
              enum:
                - offers
                - sends
                - logs
      responses:
        '200':
          description: Paginated set of `SmsCampaignResource`
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/SmsCampaignResource'
                  meta:
                    type: object
                    properties:
                      current_page:
                        type: integer
                      from:
                        type:
                          - integer
                          - 'null'
                      last_page:
                        type: integer
                      links:
                        type: array
                        description: Generated paginator links.
                        items:
                          type: object
                          properties:
                            url:
                              type:
                                - string
                                - 'null'
                            label:
                              type: string
                            active:
                              type: boolean
                          required:
                            - url
                            - label
                            - active
                      path:
                        type:
                          - string
                          - 'null'
                        description: Base path for paginator generated URLs.
                      per_page:
                        type: integer
                        description: Number of items shown per page.
                      to:
                        type:
                          - integer
                          - 'null'
                        description: Number of the last item in the slice.
                      total:
                        type: integer
                        description: Total number of items being paginated.
                    required:
                      - current_page
                      - from
                      - last_page
                      - links
                      - path
                      - per_page
                      - to
                      - total
                  links:
                    type: object
                    properties:
                      first:
                        type:
                          - string
                          - 'null'
                      last:
                        type:
                          - string
                          - 'null'
                      prev:
                        type:
                          - string
                          - 'null'
                      next:
                        type:
                          - string
                          - 'null'
                    required:
                      - first
                      - last
                      - prev
                      - next
                required:
                  - data
                  - links
                  - meta
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    SmsCampaignResource:
      type: object
      properties:
        meta:
          $ref: '#/components/schemas/SmsCampaignMetaData'
        id:
          type: string
        name:
          type: string
        status:
          type: string
        created_at:
          type:
            - string
            - 'null'
          format: date-time
        updated_at:
          type:
            - string
            - 'null'
          format: date-time
        team_id:
          type: string
        offers:
          type: array
          items:
            $ref: '#/components/schemas/OfferResource'
        sends:
          type: array
          items:
            $ref: '#/components/schemas/SmsCampaignSendResource'
        logs:
          type: array
          items:
            $ref: '#/components/schemas/SmsCampaignLogResource'
      required:
        - meta
        - id
        - name
        - status
        - created_at
        - updated_at
        - team_id
      title: SmsCampaignResource
    SmsCampaignMetaData:
      type: object
      properties:
        send_type:
          anyOf:
            - $ref: '#/components/schemas/SmsCampaignSendTypeEnum'
            - type: 'null'
        segment_ids:
          type: array
          default: []
          items:
            type: object
        sms_routing_plan_id:
          type:
            - string
            - 'null'
          format: uuid
        filter_segment_id:
          type:
            - string
            - 'null'
          format: uuid
        domain_plan_id:
          type:
            - string
            - 'null'
          format: uuid
        use_dedicated_domains:
          type: boolean
          default: false
        manual_data:
          anyOf:
            - $ref: '#/components/schemas/CampaignManualData'
            - type: 'null'
        multistep_data:
          anyOf:
            - $ref: '#/components/schemas/CampaignMultistepData'
            - type: 'null'
        planner_data:
          anyOf:
            - $ref: '#/components/schemas/CampaignPlannerData'
            - type: 'null'
        multistep_status:
          anyOf:
            - $ref: '#/components/schemas/CampaignMultistepStatusData'
            - type: 'null'
        hlr_settings:
          anyOf:
            - $ref: '#/components/schemas/HlrSettingsData'
            - type: 'null'
      required:
        - send_type
        - segment_ids
        - sms_routing_plan_id
        - filter_segment_id
        - domain_plan_id
        - use_dedicated_domains
        - manual_data
        - multistep_data
        - planner_data
        - multistep_status
        - hlr_settings
      title: SmsCampaignMetaData
    OfferResource:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        url:
          type: string
        profit:
          type:
            - string
            - 'null'
        created_at:
          type:
            - string
            - 'null'
          format: date-time
        updated_at:
          type:
            - string
            - 'null'
          format: date-time
      required:
        - id
        - name
        - url
        - profit
        - created_at
        - updated_at
      title: OfferResource
    SmsCampaignSendResource:
      type: object
      properties:
        id:
          type: string
        next_step_timestamp:
          type: string
        status:
          type: string
        meta:
          $ref: '#/components/schemas/SmsCampaignMetaData'
        created_at:
          type: string
        updated_at:
          type: string
        logs:
          type: array
          items:
            $ref: '#/components/schemas/SmsCampaignLogResource'
        sms_campaign_id:
          type: string
      required:
        - id
        - next_step_timestamp
        - status
        - meta
        - created_at
        - updated_at
        - sms_campaign_id
      title: SmsCampaignSendResource
    SmsCampaignLogResource:
      type: object
      properties:
        caller_id:
          type: string
        caller_type:
          type: string
          enum:
            - Send
            - Campaign
        text:
          type: string
        created_at:
          type: string
      required:
        - caller_id
        - caller_type
        - text
        - created_at
      title: SmsCampaignLogResource
    SmsCampaignSendTypeEnum:
      type: string
      enum:
        - manual
        - multistep
        - planner
        - recurring
        - feed
      title: SmsCampaignSendTypeEnum
    CampaignManualData:
      type: object
      properties:
        send_amount:
          type: integer
          default: 200
          minimum: 1
        send_datetime:
          type:
            - string
            - 'null'
        throttle_batch_size:
          type: integer
          default: 0
          minimum: 0
      required:
        - send_amount
        - send_datetime
        - throttle_batch_size
      title: CampaignManualData
    CampaignMultistepData:
      type: object
      properties:
        step_size:
          type: integer
          default: 200
          minimum: 1
        step_delay:
          type: integer
          default: 5
          minimum: 1
        min_ctr:
          type:
            - number
            - 'null'
        max_sms_to_send:
          type:
            - integer
            - 'null'
          minimum: 0
        max_minutes_to_send:
          type:
            - integer
            - 'null'
          minimum: 0
        send_datetime:
          type:
            - string
            - 'null'
        is_active:
          type:
            - boolean
            - 'null'
          default: true
      required:
        - step_size
        - step_delay
        - min_ctr
        - max_sms_to_send
        - max_minutes_to_send
        - send_datetime
        - is_active
      title: CampaignMultistepData
    CampaignPlannerData:
      type: object
      properties:
        days_of_week:
          type: array
          enum:
            - Mon
            - Tue
            - Wed
            - Thu
            - Fri
            - Sat
            - Sun
          items:
            type: string
          minItems: 1
        weekly_schedule:
          $ref: '#/components/schemas/WeeklyScheduleData'
        multistep_data:
          anyOf:
            - $ref: '#/components/schemas/CampaignMultistepData'
            - type: 'null'
        weekly_sms_contact_limit:
          type: integer
          default: 5
          minimum: 1
        daily_sms_contact_limit:
          type: integer
          default: 1
          minimum: 1
        is_active:
          type: boolean
          default: true
      required:
        - days_of_week
        - weekly_schedule
        - multistep_data
        - weekly_sms_contact_limit
        - daily_sms_contact_limit
        - is_active
      title: CampaignPlannerData
    CampaignMultistepStatusData:
      type: object
      properties:
        current_step:
          type:
            - integer
            - 'null'
          default: 0
        total_available_contacts:
          type:
            - integer
            - 'null'
          default: 0
        total_sent:
          type:
            - integer
            - 'null'
          default: 0
        last_sent_timestamp:
          type:
            - integer
            - 'null'
        start_timestamp:
          type:
            - number
            - 'null'
        initial_brands:
          type:
            - array
            - 'null'
          default: []
          items:
            type: string
        steps_performance:
          type:
            - array
            - 'null'
          default: []
          items:
            type: string
        status:
          type:
            - string
            - 'null'
          default: in_progress
        status_reason:
          anyOf:
            - $ref: '#/components/schemas/SmsCampaignValidationErrorEnum'
            - type: 'null'
        last_timezones:
          type:
            - array
            - 'null'
          default: []
          items:
            type: string
        planner_data:
          anyOf:
            - $ref: '#/components/schemas/CampaignPlannerData'
            - type: 'null'
      required:
        - current_step
        - total_available_contacts
        - total_sent
        - last_sent_timestamp
        - start_timestamp
        - initial_brands
        - steps_performance
        - status
        - status_reason
        - last_timezones
        - planner_data
      title: CampaignMultistepStatusData
    HlrSettingsData:
      type: object
      properties:
        is_active:
          type: boolean
          default: false
        number_of_retries:
          type: integer
          default: 0
          minimum: 0
        delay_between_retries:
          type: integer
          default: 0
          minimum: 0
        additional_time_increment:
          type: integer
          default: 0
          minimum: 0
        retry_until:
          type:
            - string
            - 'null'
      required:
        - is_active
        - number_of_retries
        - delay_between_retries
        - additional_time_increment
        - retry_until
      title: HlrSettingsData
    WeeklyScheduleData:
      type: object
      properties:
        default:
          $ref: '#/components/schemas/HoursOfDay'
        Mon:
          anyOf:
            - $ref: '#/components/schemas/HoursOfDay'
            - type: 'null'
        Tue:
          anyOf:
            - $ref: '#/components/schemas/HoursOfDay'
            - type: 'null'
        Wed:
          anyOf:
            - $ref: '#/components/schemas/HoursOfDay'
            - type: 'null'
        Thu:
          anyOf:
            - $ref: '#/components/schemas/HoursOfDay'
            - type: 'null'
        Fri:
          anyOf:
            - $ref: '#/components/schemas/HoursOfDay'
            - type: 'null'
        Sat:
          anyOf:
            - $ref: '#/components/schemas/HoursOfDay'
            - type: 'null'
        Sun:
          anyOf:
            - $ref: '#/components/schemas/HoursOfDay'
            - type: 'null'
      required:
        - default
        - Mon
        - Tue
        - Wed
        - Thu
        - Fri
        - Sat
        - Sun
      title: WeeklyScheduleData
    SmsCampaignValidationErrorEnum:
      type: string
      enum:
        - No segments selected
        - No timezones found
        - No contacts found
        - Planner is not active
        - Multistep is not active
        - Stopped by user
        - CTR lower than min CTR
        - Max SMS to send reached
        - Max time to send reached
        - Send timeout
      title: SmsCampaignValidationErrorEnum
    HoursOfDay:
      type: object
      properties:
        start:
          type: string
        end:
          type: string
      required:
        - start
        - end
      title: HoursOfDay
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````